Bug 1982013 (CVE-2021-29970) - CVE-2021-29970 Mozilla: Use-after-free in accessibility features of a document
Summary: CVE-2021-29970 Mozilla: Use-after-free in accessibility features of a document
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-29970
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1979496 1979513 1979491 1979492 1979493 1979494 1979495 1979507 1979508 1979509 1979511 1979512 1979566
Blocks: 1979487
TreeView+ depends on / blocked
 
Reported: 2021-07-14 00:53 UTC by Doran Moppert
Modified: 2021-09-16 04:59 UTC (History)
5 users (show)

Fixed In Version: firefox 78.12, thunderbird 78.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-15 15:54:46 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:2740 0 None None None 2021-07-15 10:22:48 UTC
Red Hat Product Errata RHSA-2021:2741 0 None None None 2021-07-15 10:49:50 UTC
Red Hat Product Errata RHSA-2021:2742 0 None None None 2021-07-15 11:35:53 UTC
Red Hat Product Errata RHSA-2021:2743 0 None None None 2021-07-15 11:52:41 UTC
Red Hat Product Errata RHSA-2021:2881 0 None None None 2021-07-26 12:15:25 UTC
Red Hat Product Errata RHSA-2021:2882 0 None None None 2021-07-26 11:36:48 UTC
Red Hat Product Errata RHSA-2021:2883 0 None None None 2021-07-26 12:06:03 UTC
Red Hat Product Errata RHSA-2021:2914 0 None None None 2021-07-27 07:47:03 UTC

Description Doran Moppert 2021-07-14 00:53:39 UTC
A malicious webpage could have triggered a use-after-free, memory corruption, and a potentially exploitable crash. 

*This bug only affected Firefox when accessibility was enabled.*



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2021-29/#CVE-2021-29970

Comment 1 errata-xmlrpc 2021-07-15 10:22:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2021:2740 https://access.redhat.com/errata/RHSA-2021:2740

Comment 2 errata-xmlrpc 2021-07-15 10:49:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2021:2741 https://access.redhat.com/errata/RHSA-2021:2741

Comment 3 errata-xmlrpc 2021-07-15 11:35:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2021:2742 https://access.redhat.com/errata/RHSA-2021:2742

Comment 4 errata-xmlrpc 2021-07-15 11:52:36 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:2743 https://access.redhat.com/errata/RHSA-2021:2743

Comment 5 Product Security DevOps Team 2021-07-15 15:54:46 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-29970

Comment 6 errata-xmlrpc 2021-07-26 11:36:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2021:2882 https://access.redhat.com/errata/RHSA-2021:2882

Comment 7 errata-xmlrpc 2021-07-26 12:06:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:2883 https://access.redhat.com/errata/RHSA-2021:2883

Comment 8 errata-xmlrpc 2021-07-26 12:15:20 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2021:2881 https://access.redhat.com/errata/RHSA-2021:2881

Comment 9 errata-xmlrpc 2021-07-27 07:47:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2021:2914 https://access.redhat.com/errata/RHSA-2021:2914


Note You need to log in before you can comment on or make changes to this bug.